#ifndef _YOLOV5_CLERAITY_INFERENCE_H_
#define _YOLOV5_CLERAITY_INFERENCE_H_

#include "AppCommon.h"
#include "inference.h"

class YoloV5ClearityInference: public Inference
{
public:
    YoloV5ClearityInference();
    ~YoloV5ClearityInference();

    int YoloV5ClearityInferenceInit(YoloV5ClearityModelInfo* pYoloV5ClearityModelInfo, std::string strModelName, std::string strEngineName);
    int YoloV5ClearityInferenceDeinit(void);
    int YoloV5ClearityInferenceModel(cv::Mat& frame, std::vector<stDetection>& res, int i = 1);

private:
    YoloV5ClearityModelInfo*  pYoloV5ClearityModelInfo_ = nullptr;
};

#endif  // END OF _YOLOV5_CLERAITY_INFERENCE_H_
